Delete a CIFS server and related configurations
DELETE /protocols/cifs/services/{svm.uuid}
Introduced In: 9.6
Deletes a CIFS server and related CIFS configurations.
Important notes:
-
The default value for the "force" field is false.
-
If the "force" field is set along with user login credentials, the local CIFS configuration will be deleted irrespective of any communication errors.
-
If the "force" field alone is set without passing the user login credentials, the local CIFS configuration will be deleted by not making any request to Active Directory.
Related ONTAP commands
-
vserver cifs server delete -
vserver cifs remove-netbios-aliases
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
force |
boolean |
query |
False |
When set, the local CIFS configuration is deleted irrespective of any communication errors. Default value for this field is false.
|
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.
|
svm.uuid |
string |
path |
True |
UUID of the SVM to which this object belongs. |
Request Body
| Name | Type | Description |
|---|---|---|
ad_domain |
||
auth_user_type |
string |
Specifies the type of user who can access the SMB Volume. The default is domain_user. In the case of a hybrid-user, ONTAP won't contact on-premise ADDS.
|
authentication_method |
string |
Specifies the authentication method. The available values are:
|
client_certificate |
string |
PKCS12 certificate used by the application to prove its identity to AKV. |
client_id |
string |
Application client ID of the deployed Azure application with appropriate access to an AKV or EntraId. |
client_secret |
string |
Secret used by the application to prove its identity to AKV. |
key_vault_uri |
string |
URI of the deployed AKV that is used by ONTAP for storing keys.
|
oauth_host |
string |
Open authorization server host name. |
proxy_host |
string |
Proxy host. |
proxy_password |
string |
Proxy password. Password is not audited. |
proxy_port |
integer |
Proxy port. |
proxy_type |
string |
Proxy type. |
proxy_username |
string |
Proxy username. |
tenant_id |
string |
Directory (tenant) ID of the deployed Azure application with appropriate access to an AKV or EntraId. |
timeout |
integer |
AKV connection timeout, in seconds. The allowed range is between 0 to 30 seconds. |
verify_host |
boolean |
Verify the identity of the AKV host name. By default, verify_host is set to true. |
workgroup |
string |
The workgroup name. |
Example request
{
"ad_domain": {
"fqdn": "example.com",
"organizational_unit": "string",
"password": "string",
"user": "string"
},
"auth_user_type": "string",
"authentication_method": "string",
"client_certificate": "PEM Cert",
"client_id": "e959d1b5-5a63-4284-9268-851e30e3eceb",
"client_secret": "<APPLICATION-CLIENT-SECRET-FOR-AKV>",
"key_vault_uri": "https://kmip-akv-keyvault.vault.azure.net/",
"oauth_host": "login.microsoftonline.com",
"proxy_host": "proxy.eng.com",
"proxy_password": "proxypassword",
"proxy_port": 1234,
"proxy_type": "string",
"proxy_username": "proxyuser",
"tenant_id": "c9f32fcb-4ab7-40fe-af1b-1850d46cfbbe",
"timeout": 25,
"workgroup": "workgrp1"
}
Response
Status: 200, Ok
| Name | Type | Description |
|---|---|---|
job |
Example response
{
"job": {
"_links": {
"self": {
"href": "/api/resourcelink"
}
},
"uuid": "string"
}
}
Response
Status: 202, Accepted
Error
Status: Default
ONTAP Error Response Codes
| Error Code | Description |
|---|---|
655525 |
In order to delete an Active Directory machine account for the CIFS server, you must supply the name and password of a Windows account with sufficient privileges. |
3735751 |
Failed to authenticate and retrieve the access token from the Azure OAuth host. |
3735752 |
Failed to extract the private key from the Azure Key Vault certificate. |
3735753 |
Unsupported content_type in the Azure secrets response. |
3735754 |
Failed to parse the JSON response from Azure Key Vault. |
3735755 |
REST API call to Azure failed. |
3735756 |
Invalid client certificate. |
3735757 |
Failed to generate client assertion. |
3735762 |
The provided Azure Key Vault configuration is incorrect. |
3735763 |
The provided Azure Key Vault configuration is incomplete. |
3735764 |
Request to Azure failed. Reason - Azure error code and Azure error message. |
655563 |
NetBIOS name contains characters that are not allowed. |
655562 |
NetBIOS name is longer than 15 characters. |
655923 |
Retrieving credentials from AKV is not supported because the effective cluster version is not ONTAP 9.15.0 or later. |
656487 |
Missing fields when doing CIFS operation with hybrid auth user type. |
656505 |
The LDAP parameters bind_as_cifs_server or restrict_discovery_to_site are enabled for this SVM which requires CIFS server to be present. Deletion of CIFS server will affect LDAP functionality. If you still want to delete the CIFS server retry the operation with force parameter set to true. |
| Name | Type | Description |
|---|---|---|
error |
Example error
{
"error": {
"arguments": [
{
"code": "string",
"message": "string"
}
],
"code": "4",
"message": "entry doesn't exist",
"target": "uuid"
}
}
Definitions
See Definitions
ad_domain_delete
| Name | Type | Description |
|---|---|---|
fqdn |
string |
The fully qualified domain name of the Windows Active Directory to which this CIFS server belongs. A CIFS server appears as a member of Windows server object in the Active Directory store. POST and PATCH only. |
organizational_unit |
string |
Specifies the organizational unit within the Active Directory domain to associate with the CIFS server. POST and PATCH only. |
password |
string |
The account password used to add this CIFS server to the Active Directory. This is not audited. |
user |
string |
The user account used to add this CIFS server to the Active Directory. |
cifs_service_delete
| Name | Type | Description |
|---|---|---|
ad_domain |
||
auth_user_type |
string |
Specifies the type of user who can access the SMB Volume. The default is domain_user. In the case of a hybrid-user, ONTAP won't contact on-premise ADDS.
|
authentication_method |
string |
Specifies the authentication method. The available values are:
|
client_certificate |
string |
PKCS12 certificate used by the application to prove its identity to AKV. |
client_id |
string |
Application client ID of the deployed Azure application with appropriate access to an AKV or EntraId. |
client_secret |
string |
Secret used by the application to prove its identity to AKV. |
key_vault_uri |
string |
URI of the deployed AKV that is used by ONTAP for storing keys.
|
oauth_host |
string |
Open authorization server host name. |
proxy_host |
string |
Proxy host. |
proxy_password |
string |
Proxy password. Password is not audited. |
proxy_port |
integer |
Proxy port. |
proxy_type |
string |
Proxy type. |
proxy_username |
string |
Proxy username. |
tenant_id |
string |
Directory (tenant) ID of the deployed Azure application with appropriate access to an AKV or EntraId. |
timeout |
integer |
AKV connection timeout, in seconds. The allowed range is between 0 to 30 seconds. |
verify_host |
boolean |
Verify the identity of the AKV host name. By default, verify_host is set to true. |
workgroup |
string |
The workgroup name. |
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
| Name | Type | Description |
|---|---|---|
self |
job_link
| Name | Type | Description |
|---|---|---|
_links |
||
uuid |
string |
The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |